# $Revision: 1.44.2.3 $, $Date: 2003/09/04 21:51:16 $
Summary:	C library for parsing command line parameters
Summary(de):	C-Library zum Parsen von Befehlszeilenparametern
Summary(fr):	Bibliothque C pour analyser les paramtres de la ligne de commande
Summary(pl):	Biblioteka C do przetwarzania parametrw przekazywanych do programw w linii polece
Summary(tr):	Komut satr parametrelerini ayrtrmak iin C arivi
Name:		popt
Version:	1.6.4
Release:	3
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/%{name}-%{version}.tar.gz
# Source0-md5:	734b375abdcc6bf70541d0bef8147449
Patch0:		%{name}-values.patch
Patch1:		%{name}-ff.patch
Patch2:		%{name}-po.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Popt is a C library for pasing command line parameters. It was heavily
influenced by the getopt() and getopt_long() functions, but it allows
more powerfull argument expansion. It can parse arbitrary argv[] style
arrays and automatically set variables based on command line
arguments. It also allows command line arguments to be aliased via
configuration files and includes utility functions for parsing
arbitrary strings into argv[] arrays using shell-like rules.

%description -l de
Popt ist eine C-Library zum Parsen von Befehlszeilenparametern, stark
beeinflut von den getopt() und getopt_long()-Funktionen, aber mit
sehr viel besserer Argumenterweiterung. Es knnen beliebige
argv[]-Argument- Arrays geparst und Variablen auf der Basis von
Befehlszeilenargumenten automatisch gesetzt werden. Ferner knnen
Befehlszeilenargumente ber Konfigurationsdateien ge-aliast werden,
und die Library enthlt Utility- funktionen zum Parsen beliebiger
Strings in argv[]-Arrays anhand von Shell-hnlichen Regeln.

%description -l fr
Popt est une bibliothque C pour analyser les paramtres de la ligne
de commande. Elle a t beaucoup influence par les fonctions getopt()
et getopt_long() mais permet une expansion plus puissante des
arguments. Elle peut analyser des tableaux arbitraires du style argv[]
et configure les variables automatiquement selon les arguments de la
ligne de commande. Elle permet aussi  ces arguments d'tre des alias
via des fichiers de configuration et inclut des fonctions utilitaires
pour analyser des chanes arbitraires dans les tableaux argv[] en
utilisant des rgles  la shell

%description -l pl
Popt jest bibliotek C suc przetwarzaniu parametrw wywoania.
Duy wpyw miay na ni getopt() i getopt_long(), ale ma od nich
znacznie wiksze moliwoci. Moe przetwarza bezporednio tablice
typu argv[] i automatycznie ustawia zmienne w oparciu i parametry
wywoania. Pozwala take na tworzenie zwizkw pomidzy argumentami
wywoania a plikami konfiguracyjnymi oraz pozwala zamienia cigi
znakw na tablice typu argv[] z wykorzystaniem zasad znanych z powok
(shelli).

%description -l tr
Popt, komut satr parametrelerini ayrtran bir C arividir.
Geliigzel argv[] tarz dizileri ayrtrabilir ve otomatik olarak
komut satr deikenlerine dayal deikenleri atayabilir.

%package devel
Summary:	Header file and library for popt development
Summary(pl):	Pliki nagwkowe dla popt
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header file and library for popt development.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla popt.

%package static
Summary:	Static library for popt development
Summary(pl):	Biblioteka statyczna do popt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static library for popt development.

%description static -l pl
Biblioteka statyczna popt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv -f po/zh_CN.GB2312.po po/zh_CN.po
rm -f po/*.gmo

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
%{__aclocal}
autoupdate
autoheader
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.* $RPM_BUILD_ROOT/lib
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf ../../lib/`( cd $RPM_BUILD_ROOT/lib; echo *)` \
	$RPM_BUILD_ROOT%{_libdir}/libpopt.so

for f in $RPM_BUILD_ROOT%{_datadir}/locale/{de,eu_ES,fi,fr,id,it,ja,pl,pt_BR,sr,zh}/LC_MESSAGES/rpm.mo ; do
	[ "`file $f | sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
done
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /lib/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpopt.so
%attr(755,root,root) %{_libdir}/libpopt.la
%{_mandir}/man3/*
%{_includedir}/popt.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpopt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: popt.spec,v $
Revision 1.44.2.3  2003/09/04 21:51:16  ankry
- md5, cosmetics

Revision 1.44.2.2  2003/09/04 21:09:29  ankry
- removed emty translation files
- renamed zh_CN.GB2312.mo to zh_CN.mo
- rel. 3

Revision 1.44.2.1  2003/07/11 12:03:51  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.44  2002/09/20 09:28:09  kloczek
- merge 1.6.4 from DEVEL brnch.
